### Method

# Gimp Vector2 normalize_val

#### Declaration [src]

    GimpVector2
    gimp_vector2_normalize_val (
      GimpVector2 vector
    )

#### Description [src]

Identical to `gimp_vector2_normalize()`, but the vector is passed by value rather than by reference.

#### Return value

Type: `GimpVector2`

A `GimpVector2` parallel to `vector`, pointing in the same direction but with a length of 1.0.